<?php 
require_once 'include/ECM/EcmDropdownEditor/EcmDropdownEditor.inc';

class EcmDropdownEditorController {
	public function getOptionTemplate() {
		return array (EcmDropdownEditor::getOptionTemplate());
	}
	public function saveDom($name, $normal, $ext) {
		return array (EcmDropdownEditor::saveDom($name, $normal, $ext));
	}
	public function getEditView($module, $fieldName) {
	    $dpe = new EcmDropdownEditor($module, $fieldName);
	    return array ($dpe->DrawEditView());
	}
	public function refreshField($module, $fieldName) {
	    $dpe = new EcmDropdownEditor($module, $fieldName);
	    return array ($dpe->getOptionsHTML());
	}
}